Subject: [Megaco] How to get all the codecs of a specific gateway

From: "VND Wang JuLin" <[email-masked]>
Date: Tue, 6 Aug 2002 19:33:49 +0800

Hi,List,
I have a question about codec negotiation.
I think that MGC can get all the  codecs which a gateway supports in the following three way:
1)Statically configured in MGC's database.
2)Dynamically  get it when sending Add command with Media descriptor 's codec parameter set to $(ReserveValue=TRUE)
3)Dynamically  get by sending command Auditcapablities.
I wonder whether  method 3 is applicable or not?If OK, what does the command look like?
Please tell me which one is mostly frequently used in current products.

 best  regards
>:-)Jerry Wang
tel:(8621)58541240 ext 9615
mailto:[email-masked] 
Alcatel Shanghai Bell Co.LTD